This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 183534 - gnome-mount has unpredictable behaviour when unmounting
gnome-mount has unpredictable behaviour when unmounting
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 15:16 EST by Michal Jaegermann
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-03-01 15:16:22 EST
Description of problem:

Below /dev/hdc happens to be my CD driver and /dev/fd0 a regular floppy.

With floppy and CD mounted, from a desktop or using gnome-mount,

gnome-umount -d /dev/fd0
gnome-umount -d /dev/hdc

unmount corresponding devices AND remove mount points, as expected, but
do not eject CD.  Fair enough.

'gnome-umount --help' suggests '-e, --eject        Eject rather than mount'.
(Note "mount" in help text and not "umount").  Despite of that both

gnome-umount -e -d /dev/fd0
gnome-umount -e -d /dev/hdc

do nothing beyond returning with status 1.

gnome-mount -e -d /dev/fd0
gnome-mount -e -d /dev/hdc

actually unmount media, in both cases, and CD is ejected.  But in case of 
/dev/hdc a mount point is removed and a status is 0, while for /dev/fd0 
a mount point is left behind - with status 1.

In other words, if you need to use that in a script then you have to guess
if '-e' can be applied to a given device, and then if 'gnome-mount' or
'gnome-umount' needs to be used,  instead of "eject" just ignored where 
not applicable.

Version-Release number of selected component (if applicable):
gnome-mount-0.4-2
Comment 1 Bug Zapper 2008-04-03 13:03:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:24:18 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.